Update a spam test

Sets the audience type of a spam test so the returned results and score are filtered for the target audience. Pass btob to scope the score to business mailboxes (Google Workspace / Office 365), btoc to scope it to consumer providers (Gmail, Outlook.com, Hotmail, Yahoo), or all to use the full seedlist.

Path Parameters
  • public_id
    Type: string
    required

    The public ID of the spam test to update.

Body·
required
application/json

Update a spam test

  • type
    Type: stringenum
    required

    Audience type to filter the spam test results and score by. One of all, btob (B2B) or btoc (B2C).

    values
    • all
    • btob
    • btoc
  • seedlist
    Type: integerFormat: int32enum

    Optional seedlist to re-associate with the spam test. One of 1, 2, 3 or 4.

    values
    • 1
    • 2
    • 3
    • 4
Responses
  • application/json
  • application/json
Request Example for post/v1/spam_tests/{public_id}
curl http://api.mailreach.co/api/v1/spam_tests/f5fedb04092cd9 \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: YOUR_SECRET_TOKEN' \
  --data '{
  "type": "btob",
  "seedlist": 1
}'
{
  "public_full_id": "mlrch-c7a47e3e94e98b6fd78d60a",
  "public_id": "c7a47e3e94e98b6fd78d60a",
  "results": [
    {
      "id": 6,
      "email": "siobhan@reachsecret.com",
      "desc": "Google Workspace with smart features",
      "first_name": "Siobhan",
      "provider": "gmail",
      "received_in": "INBOX",
      "raw_headers": "string"
    }
  ],
  "paid": true,
  "created_at": "2026-04-24T12:09:25.365Z",
  "first_message_content": "string",
  "test_type": "btob",
  "completed": false,
  "score": 5.7,
  "btob_score": 10,
  "btoc_score": 0,
  "final_score": 10,
  "analysis_results": "string",
  "domain": "string",
  "summary": {
    "INBOX": 16
  },
  "tld": "string",
  "blacklist_links": [
    "string"
  ],
  "blacklist_sending_ip": [
    "string"
  ],
  "sending_provider": "google.com",
  "sending_reverse_dns_value": "mail-sor-f41.google.com",
  "automated": false,
  "automated_test_id": 8,
  "spam": false,
  "seedlist": 1,
  "is_warming": false,
  "autofix_triggered": false,
  "autofix_completed": false,
  "account": "string"
}